<div class="schedular">
  <app-content-banner [isDashboard]="false" pageName="Scheduler"></app-content-banner>
  <mat-card class="s-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
        <div *ngIf="!is_SH_HP" class="pe-left-text">
          <mat-label style="font-weight: 600;">Agency: &nbsp;</mat-label>
          <mat-form-field appearance="outline">
            <mat-select [(ngModel)]="selectedAgencyID">
              <mat-option (click)="onAgencySelected()" [value]="0">Select One</mat-option>
              <mat-option (click)="onAgencySelected()" *ngFor="let agency of agencyList" [value]="agency.agencyID">
                {{agency.agencyNo + ' - ' + agency.agencyName}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div *ngIf="is_SH_HP" class="hp-left-text">
          <mat-label style="font-weight: 600;">Agency: &nbsp; </mat-label>
          {{is_SH_HP ? currentUser.agencyNo + ' - ' + currentUser.agencyName : ''}}
        </div>
        <div class="right-text">
          <mat-label style="font-weight: 600;">Site: &nbsp;</mat-label>
          <mat-form-field appearance="outline">
            <mat-select [(ngModel)]="selectedSiteID">
              <mat-option [value]="0">Select One</mat-option>
              <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                {{site.siteNo + ' - ' + site.siteName}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div>
          <button (click)="onGo()" mat-raised-button color="primary">GO</button>
        </div>
      </div>
    </mat-card-header>
    <mat-card-content *ngIf="selectedAgencyID > 0 && selectedSiteID > 0 && onGoClicked">
      <div class="example-small-box mat-elevation-z4" fxLayout="column">
        <div class="example-container mat-elevation-z4">
          <section class="calendar">
            <app-calendar
              [calendarFor]="['HPSiteObservable']"
              [agencySiteInfo]="agencySiteInfo"
              [hpSiteIDObservable]="hpSiteIDforCalendar.asObservable()"
              [preferredSlotEdit]="true"
              [calendarViewFor]="['Week']"
            >
            </app-calendar>
          </section>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
</div>
